#include <iostream>
using namespace std;
int proizvod_cifara(int n) {
    int proizvod = 1;
    while (n >= 1) {
        proizvod *= n / 10;
        n /= 10;
    }
    return proizvod;
}

int main() {
    int t; cin >> t;
    vector<int> res;

    for (int i = 0; i < t; i++) {
        int br; cin >> br;
        vector<int> proizvodi;

        for (int j = 1; j <= br; j++) {
            bool nadjen = false;
            int k = 0;

            while (k < br) {
                if (proizvodi[k] == proizvod_cifara(j)) { nadjen = true; break; }
                else k++;
            }

            if (nadjen == false) proizvodi.push_back(proizvod_cifara(j));
        }
        res.push_back(proizvodi.size());
    }
    for (int i = 0; i < t; i++) cout << res[i] << endl;
}